<?php

namespace wcf\data\lotto\ticket;

use wcf\data\DatabaseObject;
use wcf\data\lotto\draw\LottoDraw;
use wcf\system\WCF;

/**
 * @author      MaDa-Network
 * @copyright	2015 - MaDa-Network <http://mada-network.de>
 * @license	CC BY-ND 4.0 <http://creativecommons.org/licenses/by-nd/4.0/deed.de>
 * @package	de.madanetwork.lotto
 */
class LottoTicket extends DatabaseObject {
    protected static $databaseTableName = 'lotto_ticket';
    protected static $databaseTableIndexName = 'ticketID';

    public function getFields() {
        $fields = array();

        $sql = "SELECT  *
                FROM    wcf" . WCF_N . "_lotto_ticket_field
                WHERE   ticketID = ?";
        $statement = WCF::getDB()->prepareStatement($sql);
        $statement->execute(array($this->ticketID));
        while ($row = $statement->fetchArray()) {
            $fields[] = $row;
        }

        return $fields;
    }

    public function getDraw() {
        if ($this->drawID) return new LottoDraw($this->drawID);

        return null;
    }
}