<?php

namespace wcf\form;

use wcf\system\dashboard\DashboardHandler;
use wcf\system\user\collapsible\content\UserCollapsibleContentHandler;
use wcf\system\WCF;

/**
 * @author      MaDa-Network
 * @copyright	2015 - MaDa-Network <http://mada-network.de>
 * @license	CC BY-ND 4.0 <http://creativecommons.org/licenses/by-nd/4.0/deed.de>
 * @package	de.madanetwork.lotto
 */
class LottoAddForm extends AbstractForm {
    public $activeMenuItem = 'wcf.header.menu.lotto.add';
    public $neededModules = array('MODULE_LOTTO', 'MODULE_JCOINS');
    public $loginRequired = true;
    
    public function readData() {
        parent::readData();

        WCF::getBreadcrumbs()->remove(0);
    }
    
    public function assignVariables() {
        parent::assignVariables();
        
        DashboardHandler::getInstance()->loadBoxes('de.madanetwork.lotto.LottoAddForm', $this);
        
        WCF::getTPL()->assign(array(
            'sidebarCollapsed' => UserCollapsibleContentHandler::getInstance()->isCollapsed('com.woltlab.wcf.collapsibleSidebar', 'de.madanetwork.lotto.LottoAddForm'),
            'sidebarName' => 'de.madanetwork.lotto.LottoAddForm'
        ));
    }
}