<?php

namespace wcf\page;

use wcf\system\dashboard\DashboardHandler;
use wcf\system\user\collapsible\content\UserCollapsibleContentHandler;
use wcf\system\WCF;

/**
 * @author      MaDa-Network
 * @copyright	2015 - MaDa-Network <http://mada-network.de>
 * @license	CC BY-ND 4.0 <http://creativecommons.org/licenses/by-nd/4.0/deed.de>
 * @package	de.madanetwork.lotto
 */
class LottoOverviewPage extends MultipleLinkPage {
    public $activeMenuItem = 'wcf.header.menu.lotto.overview';
    public $neededModules = array('MODULE_LOTTO');
    public $loginRequired = true;
    public $itemsPerPage = 18;
    public $sqlOrderBy = 'lotto_ticket.created DESC';
    public $objectListClassName = 'wcf\data\lotto\ticket\LottoTicketList';

    public function assignVariables() {
        parent::assignVariables();
        
        DashboardHandler::getInstance()->loadBoxes('de.madanetwork.lotto.LottoOverviewPage', $this);
        
        WCF::getTPL()->assign(array(
            'sidebarCollapsed' => UserCollapsibleContentHandler::getInstance()->isCollapsed('com.woltlab.wcf.collapsibleSidebar', 'de.madanetwork.lotto.LottoOverviewPage'),
            'sidebarName' => 'de.madanetwork.lotto.LottoOverviewPage'
        ));
    }

    public function readData() {
        parent::readData();

        WCF::getBreadcrumbs()->remove(0);
    }

    public function initObjectList() {
        parent::initObjectList();

        $this->objectList->getConditionBuilder()->add('lotto_ticket.userID = ?', array(WCF::getUser()->userID));
    }
}