<?php

namespace wcf\page;

use wcf\data\lotto\draw\LottoDrawList;
use wcf\system\dashboard\DashboardHandler;
use wcf\system\user\collapsible\content\UserCollapsibleContentHandler;
use wcf\system\WCF;

/**
 * @author      MaDa-Network
 * @copyright	2015 - MaDa-Network <http://mada-network.de>
 * @license	CC BY-ND 4.0 <http://creativecommons.org/licenses/by-nd/4.0/deed.de>
 * @package	de.madanetwork.lotto
 */
class LottoPage extends AbstractPage {
    public $activeMenuItem = 'wcf.header.menu.lotto';
    public $neededModules = array('MODULE_LOTTO');
    public $nextDrawCount = 0;
    public $lottoDraw = array();

    public function readData() {
        parent::readData();

        $this->readNextLotteryDraw();
        $this->readLottoDraw();

        WCF::getBreadcrumbs()->remove(0);
    }

    public function assignVariables() {
        parent::assignVariables();
        
        DashboardHandler::getInstance()->loadBoxes('de.madanetwork.lotto.LottoPage', $this);

        WCF::getTPL()->assign(array(
            'nextDrawCount' => $this->nextDrawCount,
            'lottoDraw' => $this->lottoDraw,
            'jackpot' => LOTTO_CURRENT_JACKPOT,
            'sidebarCollapsed' => UserCollapsibleContentHandler::getInstance()->isCollapsed('com.woltlab.wcf.collapsibleSidebar', 'de.madanetwork.lotto.LottoPage'),
            'sidebarName' => 'de.madanetwork.lotto.LottoPage'
        ));
    }

    protected function readLottoDraw() {
        $lottoDrawList = new LottoDrawList();
        $lottoDrawList->sqlLimit = 1;
        $lottoDrawList->sqlOrderBy = 'lotto_draw.time DESC';
        $lottoDrawList->readObjects();
        $lottoDrawData = $lottoDrawList->getObjects();

        foreach ($lottoDrawData as $drawDatas) {
            $drawDatas = (array) $drawDatas;
            foreach ($drawDatas as $drawData) {
                foreach ($drawData as $key => $value) {
                    if ($key == "drawID" || $key == "time") continue;

                    $this->lottoDraw[$key] = $value;
                }
            }
        }
    }

    protected function readNextLotteryDraw() {        
        $this->nextDrawCount = NEXT_LOTTERY_DRAW - TIME_NOW;
    }
}