<?php
namespace wcf\page;

use wcf\data\lotto\stats\LottoStatsList;
use wcf\system\dashboard\DashboardHandler;
use wcf\system\user\collapsible\content\UserCollapsibleContentHandler;
use wcf\system\WCF;

/**
 * @author      MaDa-Network
 * @copyright	2015 - MaDa-Network <http://mada-network.de>
 * @license	CC BY-ND 4.0 <http://creativecommons.org/licenses/by-nd/4.0/deed.de>
 * @package	de.madanetwork.lotto
 */
class LottoStatsPage extends AbstractPage {
    public $activeMenuItem = 'wcf.header.menu.lotto.stats';
    public $neededModules = array('MODULE_LOTTO');
    public $stats = null;
    
    public function readData() {
        parent::readData();
        
        $this->stats = new LottoStatsList();
        $this->stats->readObjects();
        
        WCF::getBreadcrumbs()->remove(0);
    }
    
    public function assignVariables() {
        parent::assignVariables();
        
        DashboardHandler::getInstance()->loadBoxes('de.madanetwork.lotto.LottoStatsPage', $this);
        
        WCF::getTPL()->assign(array(
            'stats' => $this->stats->getObjects(),
            'sidebarCollapsed' => UserCollapsibleContentHandler::getInstance()->isCollapsed('com.woltlab.wcf.collapsibleSidebar', 'de.madanetwork.lotto.LottoStatsPage'),
            'sidebarName' => 'de.madanetwork.lotto.LottoStatsPage'
        ));
    }
}