<?php

namespace wcf\system\cache\builder;

use wcf\data\lotto\draw\LottoDrawList;
use wcf\data\lotto\ticket\LottoTicketList;
use wcf\data\user\User;

/**
 * @author      MaDa-Network
 * @copyright	2015 - MaDa-Network <http://mada-network.de>
 * @license	CC BY-ND 4.0 <http://creativecommons.org/licenses/by-nd/4.0/deed.de>
 * @package	de.madanetwork.lotto
 */
class LottoLastWinnersCacheBuilder extends AbstractCacheBuilder {

    public function rebuild(array $parameters) {
        $draw = null;
        $data = array();

        $lottoDrawList = new LottoDrawList();
        $lottoDrawList->sqlLimit = 1;
        $lottoDrawList->sqlOrderBy = 'lotto_draw.time DESC';

        if ($lottoDrawList->countObjects()) {
            $lottoDrawList->readObjects();
            $draw = $lottoDrawList->current();
        }

        if ($draw !== null) {
            $lottoTicketList = new LottoTicketList();
            $lottoTicketList->getConditionBuilder()->add("lotto_ticket.drawID = ?", array($draw->drawID));
            $lottoTicketList->getConditionBuilder()->add("lotto_ticket.winCoins > ?", array(0));
            $lottoTicketList->sqlOrderBy = 'lotto_ticket.winCoins DESC';
            $lottoTicketList->readObjects();
            foreach ($lottoTicketList->getObjects() as $lottoTicket) {
                if (!isset($data[$lottoTicket->userID])) $data[$lottoTicket->userID] = array();

                if (empty($data[$lottoTicket->userID])) {
                    $user = new User($lottoTicket->userID);
                    $data[$user->userID]['username'] = $user->username;
                    $data[$user->userID]['winCoins'] = 0;
                }

                $data[$user->userID]['winCoins'] += $lottoTicket->winCoins;
            }
        }

        return $data;
    }
}