<?php

namespace wcf\system\dashboard\box;

use wcf\data\dashboard\box\DashboardBox;
use wcf\page\IPage;
use wcf\system\cache\builder\LottoLastWinnersCacheBuilder;
use wcf\system\WCF;

/**
 * @author      MaDa-Network
 * @copyright	2015 - MaDa-Network <http://mada-network.de>
 * @license	CC BY-ND 4.0 <http://creativecommons.org/licenses/by-nd/4.0/deed.de>
 * @package	de.madanetwork.lotto
 */
class LottoLastWinnersSidebarDashboardBox extends AbstractSidebarDashboardBox {
    protected $winners = null;

    public function init(DashboardBox $box, IPage $page) {
        parent::init($box, $page);

        $this->winners = LottoLastWinnersCacheBuilder::getInstance()->getData();

        $this->fetched();
    }

    protected function render() {

        if (!empty($this->winners)) {
            WCF::getTPL()->assign(array(
                'winners' => $this->winners
            ));

            return WCF::getTPL()->fetch('dashboardBoxLottoLastWinners');
        }
    }
}