<?php

namespace wcf\system\user\activity\event;

use wcf\data\lotto\ticket\LottoTicketList;
use wcf\system\SingletonFactory;
use wcf\system\WCF;

/**
 * @author      MaDa-Network
 * @copyright	2015 - MaDa-Network <http://mada-network.de>
 * @license	CC BY-ND 4.0 <http://creativecommons.org/licenses/by-nd/4.0/deed.de>
 * @package	de.madanetwork.lotto
 */
class LottoAddUserActivityEvent extends SingletonFactory implements IUserActivityEvent {

    public function prepare(array $events) {
        $objectIDs = array();
        foreach ($events as $event) {
            $objectIDs[] = $event->objectID;
        }

        $ticketList = new LottoTicketList();
        $ticketList->getConditionBuilder()->add("lotto_ticket.ticketID IN (?)", array($objectIDs));
        $ticketList->readObjects();
        $tickets = $ticketList->getObjects();

        foreach ($events as $event) {
            if (isset($tickets[$event->objectID])) {
                $event->setIsAccessible();

                $text = WCF::getLanguage()->get('wcf.user.profile.recentActivity.lottoAdd');
                $event->setTitle($text);
            }
            
            continue;
        }
    }
}