<?php

namespace wcf\system\user\notification\event;

use wcf\system\request\LinkHandler;

/**
 * @author      MaDa-Network
 * @copyright	2015 - MaDa-Network <http://mada-network.de>
 * @license	CC BY-ND 4.0 <http://creativecommons.org/licenses/by-nd/4.0/deed.de>
 * @package	de.madanetwork.lotto
 */
class LottoWinNotificationEvent extends AbstractUserNotificationEvent {

    public function getTitle() {
        return $this->getLanguage()->get('wcf.user.notification.lottoWin.title');
    }

    public function getMessage() {
        return $this->getLanguage()->getDynamicVariable('wcf.user.notification.lottoWin.message', array(
            'lottoTicket' => $this->userNotificationObject
        ));
    }

    public function getEmailMessage($notificationType = 'instant') {
        return $this->getLanguage()->getDynamicVariable('wcf.user.notification.lottoWin.mail', array(
            'lottoTicket' => $this->userNotificationObject
        ));
    }

    public function getLink() {
        return LinkHandler::getInstance()->getLink('LottoTicket', array(
            'id' => $this->userNotificationObject->ticketID
        ));
    }
}