DROP TABLE IF EXISTS wcf1_lotto_ticket_field;
CREATE TABLE wcf1_lotto_ticket_field (
    ticketID            INT(11)         NOT NULL,
    fieldID             INT(2)          NOT NULL    DEFAULT 0,
    number1             INT(2)          NOT NULL    DEFAULT 0,
    number2             INT(2)          NOT NULL    DEFAULT 0,
    number3             INT(2)          NOT NULL    DEFAULT 0,
    number4             INT(2)          NOT NULL    DEFAULT 0,
    number5             INT(2)          NOT NULL    DEFAULT 0,
    number6             INT(2)          NOT NULL    DEFAULT 0,
    winCoins            INT(10)         NOT NULL    DEFAULT 0,
    UNIQUE KEY ticketID (ticketID, fieldID)
);

DROP TABLE IF EXISTS wcf1_lotto_ticket;
CREATE TABLE wcf1_lotto_ticket (
    ticketID            INT(11)         NOT NULL    AUTO_INCREMENT PRIMARY KEY,
    userID              INT(11)         NOT NULL    DEFAULT 0,
    ticketNumber        VARCHAR(10)     NOT NULL    DEFAULT '',
    created             INT(10)         NOT NULL    DEFAULT 0,
    costCoins           INT(10)         NOT NULL    DEFAULT 0,
    winCoins            INT(10)         NOT NULL    DEFAULT 0,
    playCount           INT(10)         NOT NULL    DEFAULT 0,
    drawID              INT(10)         NOT NULL    DEFAULT 0
);

DROP TABLE IF EXISTS wcf1_lotto_draw;
CREATE TABLE wcf1_lotto_draw (
    drawID              INT(11)         NOT NULL    AUTO_INCREMENT PRIMARY KEY,
    time                INT(10)         NOT NULL    DEFAULT 0,
    number1             INT(2)          NOT NULL    DEFAULT 0,
    number2             INT(2)          NOT NULL    DEFAULT 0,
    number3             INT(2)          NOT NULL    DEFAULT 0,
    number4             INT(2)          NOT NULL    DEFAULT 0,
    number5             INT(2)          NOT NULL    DEFAULT 0,
    number6             INT(2)          NOT NULL    DEFAULT 0,
    additionalNumber    INT(2)          NOT NULL    DEFAULT 0
);

DROP TABLE IF EXISTS wcf1_lotto_draw_winclass;
CREATE TABLE wcf1_lotto_draw_winclass (
    drawID              INT(10),
    winClass            INT(2)          NOT NULL    DEFAULT 0,
    pro                 INT(10)         NOT NULL    DEFAULT 0,
    counts              INT(10)         NOT NULL    DEFAULT 0,
    UNIQUE KEY drawID (drawID, winClass)
);

DROP TABLE IF EXISTS wcf1_lotto_stats;
CREATE TABLE wcf1_lotto_stats (
    statsID             INT(10)         NOT NULL    DEFAULT 0,
    number1             INT(2)          NOT NULL    DEFAULT 0,
    number2             INT(2)          NOT NULL    DEFAULT 0,
    number3             INT(2)          NOT NULL    DEFAULT 0,
    number4             INT(2)          NOT NULL    DEFAULT 0,
    number5             INT(2)          NOT NULL    DEFAULT 0,
    number6             INT(2)          NOT NULL    DEFAULT 0,
    number7             INT(2)          NOT NULL    DEFAULT 0,
    number8             INT(2)          NOT NULL    DEFAULT 0,
    number9             INT(2)          NOT NULL    DEFAULT 0,
    number10            INT(2)          NOT NULL    DEFAULT 0,
    number11            INT(2)          NOT NULL    DEFAULT 0,
    number12            INT(2)          NOT NULL    DEFAULT 0,
    number13            INT(2)          NOT NULL    DEFAULT 0,
    number14            INT(2)          NOT NULL    DEFAULT 0,
    number15            INT(2)          NOT NULL    DEFAULT 0,
    number16            INT(2)          NOT NULL    DEFAULT 0,
    number17            INT(2)          NOT NULL    DEFAULT 0,
    number18            INT(2)          NOT NULL    DEFAULT 0,
    number19            INT(2)          NOT NULL    DEFAULT 0,
    number20            INT(2)          NOT NULL    DEFAULT 0,
    number21            INT(2)          NOT NULL    DEFAULT 0,
    number22            INT(2)          NOT NULL    DEFAULT 0,
    number23            INT(2)          NOT NULL    DEFAULT 0,
    number24            INT(2)          NOT NULL    DEFAULT 0,
    number25            INT(2)          NOT NULL    DEFAULT 0,
    number26            INT(2)          NOT NULL    DEFAULT 0,
    number27            INT(2)          NOT NULL    DEFAULT 0,
    number28            INT(2)          NOT NULL    DEFAULT 0,
    number29            INT(2)          NOT NULL    DEFAULT 0,
    number30            INT(2)          NOT NULL    DEFAULT 0,
    number31            INT(2)          NOT NULL    DEFAULT 0,
    number32            INT(2)          NOT NULL    DEFAULT 0,
    number33            INT(2)          NOT NULL    DEFAULT 0,
    number34            INT(2)          NOT NULL    DEFAULT 0,
    number35            INT(2)          NOT NULL    DEFAULT 0,
    number36            INT(2)          NOT NULL    DEFAULT 0,
    number37            INT(2)          NOT NULL    DEFAULT 0,
    number38            INT(2)          NOT NULL    DEFAULT 0,
    number39            INT(2)          NOT NULL    DEFAULT 0,
    number40            INT(2)          NOT NULL    DEFAULT 0,
    number41            INT(2)          NOT NULL    DEFAULT 0,
    number42            INT(2)          NOT NULL    DEFAULT 0,
    number43            INT(2)          NOT NULL    DEFAULT 0,
    number44            INT(2)          NOT NULL    DEFAULT 0,
    number45            INT(2)          NOT NULL    DEFAULT 0,
    number46            INT(2)          NOT NULL    DEFAULT 0,
    number47            INT(2)          NOT NULL    DEFAULT 0,
    number48            INT(2)          NOT NULL    DEFAULT 0,
    number49            INT(2)          NOT NULL    DEFAULT 0,
    UNIQUE KEY statsID
);

ALTER TABLE wcf1_lotto_ticket_field ADD FOREIGN KEY (ticketID) REFERENCES wcf1_lotto_ticket (ticketID) ON DELETE CASCADE;
ALTER TABLE wcf1_lotto_draw_winclass ADD FOREIGN KEY (drawID) REFERENCES wcf1_lotto_draw (drawID) ON DELETE CASCADE;

INSERT INTO wcf1_lotto_stats (statsID) VALUES (1), (2);